echo off
cls
echo Ŀ
echo                          QHelpQ Setup, 01 Jan 92, Rhg                        
echo                                                  
echo                            This setup program will:                          
echo                                                                              
echo                         Make a sub Directory C:\QHelpQ.                      
echo             Copy the HELP.EXE, QHelp.H! and support files to                 
echo             C:\QHelpQ.  You may customize this installation later.           
echo                                                                              
echo   You MUST be logged on to the Drive ( and Directory ), containing all the   
echo   previously extracted QHelpQ files. The registered version of QHelp does    
echo   not use any compressed files. Individual files are supplied, instead.      
echo                                                                              
echo                                                                              
echo      NOTE: If a C:\QhelpQ directory exists, any files located there will     
echo            be copied to a C:\QhelpQ\QhelpQ.OLD directory.  This will only    
echo            occur the first time you run this utility (to prevent over-       
echo            writting your old files). You can delete these files and the      
echo            directory later, if you wish.  see also README.BAT                
echo                                                                              
echo      Press [ CTRL C ... Y ] to abort setup, any other key to continue.       
echo 
echo 
pause > nul

:Install
cls
set V1=0

if not exist qhsetup.p1   set v1=1

if not exist readme.p0    set v1=1
if not exist readme.p1    set v1=1
if not exist readme.p2    set v1=1
if not exist readme.p3    set v1=1
if not exist readme.p4    set v1=1

if not exist Qh.BAT       set V1=1
if not exist QhM.BAT      set V1=1
if not exist QhS.BAT      set V1=1
if not exist Readme.BAT   set V1=1

if not exist QHelpQ.DAT   set V1=1
if not exist Register.DOC set V1=1

if not exist HELP.EXE     set V1=1
if not exist HELP1.EXE    set V1=1

:  SemWare Version Test
if not exist semware.ver goto Normal
if not exist Q.EXE        set V1=1

:Normal
if not exist QHelp.H!     set V1=1
if not exist QHelpQ.TXT   set V1=1

if %V1%==1 goto Error
set V1=

IF exist C:\QHelpQ\*.* goto SaveOld
goto MakeDir

:SaveOld
if exist C:\QHelpQ\QhelpQ.OLD\*.* goto CopyFiles
MD C:\QHelpQ\QHelpQ.OLD
cls
echo Saving OLD C:\QHelpQ files to C:\QHelpQ\QHelpQ.OLD
COPY C:\QHelpQ\*.* C:\QHelpQ\QHelpQ.OLD > NUL
goto CopyFiles

:MakeDir
MD C:\QHelpQ
cls

:CopyFiles
:  SemWare Conditional
if exist semware.ver echo         COPYING files ( 16 ), to C:\QHelpQ ... please stand by ...
if NOT exist semware.ver echo         COPYING files ( 15 ), to C:\QHelpQ ... please stand by ...
echo 
copy Qh.BAT C:\QHelpQ
copy Qhm.BAT C:\QHelpQ
copy Qhs.BAT C:\QHelpQ
copy Readme.BAT C:\QHelpQ

copy QHelpQ.DAT C:\QHelpQ
copy Register.DOC C:\QHelpQ

copy Help.EXE C:\QHelpQ
copy Help1.EXE C:\QHelpQ

:  SemWare Version Test
if exist semware.ver copy Q.EXE C:\QHelpQ

copy QHelp.H! C:\QHelpQ

copy Readme.p0 C:\QHelpQ
copy Readme.p1 C:\QHelpQ
copy Readme.p2 C:\QHelpQ
copy Readme.p3 C:\QHelpQ
copy Readme.p4 C:\QHelpQ

copy QHelpQ.TXT C:\QHelpQ
echo.

:  SemWare Conditional
if exist semware.ver echo  Verify 16 files copied.
if NOT exist semware.ver echo  Verify 15 files copied.
echo  If OK, Press any key to continue ... else [ CTRL C ... Y ] to ABORT
echo.
echo   NOTE: If the installation is being made from a floppy drive, do NOT
echo         remove the diskette from the floppy drive until told to do so !
pause > nul
cls
if "test"=="%1" goto Test?

type qhsetup.p1
C:
CD C:\QHelpQ
echo                          Press any key to continue ...
pause > nul
HELP Qhelp
cls
echo NOTE: IF you had a C:\QhelpQ sub Directory and files, they were copied to
echo       the C:\QhelpQ\QhelpQ.OLD directory. If you wish to save these files,
echo       you should copy them to a floppy and then delete the files from the
echo       C:\QhelpQ\QhelpQ.OLD sub Directory. Then remove the sub Directory.
echo.
echo       Note that the files in an existing C:\QhelpQ sub Directory are only
echo       copied if a C:\QhelpQ\QhelpQ.OLD sub Directory does NOT exist. This
echo       is done to prevent overwritting your old files, in the event you run
echo       the "Qhsetup" utility more than once.
goto preEND

:Error
echo 
cls
echo                                   ERROR !!!
echo                                  
echo.
if not exist qhsetup.p1   echo QhSetup.p1 file does NOT exist !

if not exist readme.p0    echo readme.p0 file does NOT exist !
if not exist readme.p1    echo readme.p1 file does NOT exist !
if not exist readme.p2    echo readme.p2 file does NOT exist !
if not exist readme.p3    echo readme.p3 file does NOT exist !
if not exist readme.p4    echo readme.p4 file does NOT exist !

if not exist Qh.BAT       echo Qh.BAT file does NOT exist !
if not exist Qhm.BAT      echo Qhm.BAT file does NOT exist !
if not exist Qhs.BAT      echo Qhs.BAT file does NOT exist !
if not exist Readme.BAT   echo Readme.BAT file does NOT exist !

if not exist QHelpQ.DAT   echo QHelpQ.DAT file does NOT exist !

if not exist Register.DOC echo Register.DOC file does NOT exist !

if not exist HELP.EXE     echo HELP.EXE file does NOT exist !
if not exist HELP1.EXE    echo HELP1.EXE file does NOT exist !

:  SemWare Version Test
if not exist semware.ver goto Normal1
if not exist Q.EXE        echo Q.EXE file does NOT exist !

:Normal1
if not exist QHelpQ.TXT   echo QHelpQ.TXT file does NOT exist !

if not exist QHelp.H!     echo QHelp.H! file does NOT exist !
echo.
echo                             Aborting Installation.

:preEND
echo.
echo.
echo.
echo                 If the installation was made from a floppy drve;
echo.
echo                 After the floppy drive light has gone out, you
echo                 may remove the diskette from the floppy drive.
echo 

if NOT "test"=="%1" goto END

:Test?
echo Press any key for Test Mode
pause > NUL
if NOT exist C:\QHelpQ\QHelpQ.OLD\*.* goto END
DEL C:\QHelpQ\QHelpQ.OLD\*.*
RD C:\QHelpQ\QHelpQ.OLD
goto END

:END
